Package org.apache.sysds.runtime.matrix.operators

## Class CountDistinctOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.CountDistinctOperator

All Implemented Interfaces:
  `Serializable`

    public class CountDistinctOperator
    extends Operator

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
`CountDistinctOperator​(AggregateUnaryCPInstruction.AUType opType)`
`CountDistinctOperator​(CountDistinctOperatorTypes operatorType)`
`CountDistinctOperator​(CountDistinctOperatorTypes operatorType, IndexFunction indexFunction, Hash.HashType hashType)`
`CountDistinctOperator​(CountDistinctOperatorTypes operatorType, Hash.HashType hashType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Types.Direction` `getDirection()`
`Hash.HashType` `getHashType()`
`IndexFunction` `getIndexFunction()`
`CountDistinctOperatorTypes` `getOperatorType()`
`CountDistinctOperator` `setDirection​(Types.Direction direction)`
`CountDistinctOperator` `setIndexFunction​(IndexFunction indexFunction)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountDistinctOperator

    public CountDistinctOperator​(AggregateUnaryCPInstruction.AUType opType)

#### CountDistinctOperator

    public CountDistinctOperator​(CountDistinctOperatorTypes operatorType)

#### CountDistinctOperator

    public CountDistinctOperator​(CountDistinctOperatorTypes operatorType,
                                 Hash.HashType hashType)

#### CountDistinctOperator

    public CountDistinctOperator​(CountDistinctOperatorTypes operatorType,
                                 IndexFunction indexFunction,
                                 Hash.HashType hashType)

### Method Detail

#### getOperatorType

    public CountDistinctOperatorTypes getOperatorType()

#### getHashType

    public Hash.HashType getHashType()

#### getIndexFunction

    public IndexFunction getIndexFunction()

#### setIndexFunction

    public CountDistinctOperator setIndexFunction​(IndexFunction indexFunction)

#### getDirection

    public Types.Direction getDirection()

#### setDirection

    public CountDistinctOperator setDirection​(Types.Direction direction)